# Linaris_MAUI_SAE_201

## Diagramme de classe

```plantuml
@startuml
Class Oiseau {
    - int frequenceNourriture
    - boolean mort
    - LocalDate dateDernierRepas
    - Couleur couleurDuPlumage
    - /boolean aFaim
    - /String nom
    + Oiseau(String nom,int frequenceNourriture)
    + Couleur getCouleurDuPlumage()
    + void changeJour(LocalDate nouvelleDate)
    + boolean isMort()
}

Class Couleur {
    - int rouge
    - int vert
    - int bleu
    + Couleur(int rouge,int vert,int bleu)
}

Oiseau --> "- /couleurAiles" Couleur
OiseauTheque --> "-lesOiseaux *" Oiseau
@enduml
